#
# spec file for package ices
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ices
Version:        2.0.3
Release:        2.5
Summary:        Source Client for icecast Streaming Server
License:        GPL-2.0-or-later
Group:          Productivity/Multimedia/Other
URL:            https://www.icecast.org/ices/
Source:         https://downloads.xiph.org/releases/ices/ices-%{version}.tar.bz2
Source1:        run_ices
Patch0:         ices-missing-fclose.diff
BuildRequires:  alsa-devel
BuildRequires:  libshout-devel
BuildRequires:  libtheora-devel
BuildRequires:  libtool
BuildRequires:  libvorbis-devel
BuildRequires:  libxml2-devel
BuildRequires:  pkgconfig
BuildRequires:  speex-devel

%description
IceS is a source client for a streaming server. The purpose of this
client is to provide an audio stream to a streaming server such that
one or more listeners can access the stream.  With this layout, this
source client can be situated remotely from the icecast server.

%prep
%autosetup -p1

%build
autoreconf --force --install
%configure
%make_build

%install
%make_install
install -c -m 755 %{SOURCE1} %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_datadir}/ices

%files
%license COPYING
%doc README.md AUTHORS
%doc doc/*.html
%doc doc/*.css
%doc conf/*.xml
%{_bindir}/*

%changelog
* Thu Feb 22 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat May  8 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.3:
  * Add support for m3u and VCLT playlists
  * Add support for TLS
  * Add support for Ogg/Opus, Ogg/Speex, and Ogg/FLAC
    (without transcoding support)
  * Add support to run a command after a track finished
  * Improved shuffling for playlists
  * Several fixes, code improvements, and hardening
- Drop outdated and resolved ices-gcc-warning-fix.diff
* Sat Aug 15 2020 Dirk Mueller <dmueller@suse.com>
- update to 2.0.2:
  * Support for RoarAudio input
  * Updated Documentation (Closes: #1238)
  * Fixed double shout_close() (Closes: #720)
  * Reduced error to warning in case of duplicate serial number.
  * Fixed handling of <reconnectattempts> when set to zero (Closes: #735)
  * Did some code cleanup and hardening (Closes: #1795)
  * Enabled compiler warnings (Closes: #1796)
  * Added <retry-initial> (Closes: #994)
  * Upated handling of empty strings in config file (Closes: #1875)
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Tue Aug  4 2009 tiwai@suse.de
- fix missing fclose (bnc#525802)
* Tue Jun 12 2007 tiwai@suse.de
- fix compile warning, comparison with string literal.
- clean up spec file.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jun 17 2005 tiwai@suse.de
- initial version: 2.0.1.
